Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.maf.rmi
Class MAFFinder_RMIImpl

    java.lang.Object
      |
      +--java.rmi.server.RemoteObject
            |
            +--java.rmi.server.RemoteServer
                  |
                  +--java.rmi.server.UnicastRemoteObject
                        |
                        +--com.ibm.maf.rmi.MAFFinder_RMIImpl

All Implemented Interfaces:
  MAFFinder, java.rmi.Remote, java.io.Serializable

public class MAFFinder_RMIImpl
extends java.rmi.server.UnicastRemoteObject
implements MAFFinder

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `REGISTRY_NAME`
`static int` | `REGISTRY_PORT`

Fields inherited from class java.rmi.server.RemoteObject
`ref`

Constructor Summary
`MAFFinder_RMIImpl()`

Method Summary
`java.util.Hashtable` | `list_agent_entries()`
`java.util.Hashtable` | `list_agent_system_entries()`
`java.util.Hashtable` | `list_place_entries()`
`java.lang.String[]` | `lookup_agent_system(Name agent_system_name, AgentSystemInfo agent_system_info)`
`java.lang.String[]` | `lookup_agent(Name agent_name, AgentProfile agent_profile)`
`java.lang.String[]` | `lookup_place(java.lang.String place_name)`
`static void` | `main(java.lang.String[] args)`
`void` | `register_agent_system(Name agent_system_name, java.lang.String agent_system_location, AgentSystemInfo agent_system_info)`
`void` | `register_agent(Name agent_name, java.lang.String agent_location, AgentProfile agent_profile)`
`void` | `register_place(java.lang.String place_name, java.lang.String place_location)`
`void` | `startFinder(java.lang.String name, int port)`
`void` | `unregister_agent_system(Name agent_system_name)`
`void` | `unregister_agent(Name agent_name)`
`void` | `unregister_place(java.lang.String place_name)`

Methods inherited from class java.rmi.server.UnicastRemoteObject
`clone, exportObject, exportObject, exportObject, unexportObject`

Methods inherited from class java.rmi.server.RemoteServer
`getClientHost, getLog, setLog`

Methods inherited from class java.rmi.server.RemoteObject
`equals, getRef, hashCode, toString, toStub`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### REGISTRY_NAME

    public static final java.lang.String REGISTRY_NAME

### REGISTRY_PORT

    public static final int REGISTRY_PORT

Constructor Detail

### MAFFinder_RMIImpl

    public MAFFinder_RMIImpl()
                      throws java.rmi.RemoteException

Method Detail

### list_agent_entries

    public java.util.Hashtable list_agent_entries()
                                           throws java.rmi.RemoteException

  Specified by:
    `list_agent_entries` in interface `MAFFinder`

### list_agent_system_entries

    public java.util.Hashtable list_agent_system_entries()
                                                  throws java.rmi.RemoteException

  Specified by:
    `list_agent_system_entries` in interface `MAFFinder`

### list_place_entries

    public java.util.Hashtable list_place_entries()
                                           throws java.rmi.RemoteException

  Specified by:
    `list_place_entries` in interface `MAFFinder`

### lookup_agent

    public java.lang.String[] lookup_agent(Name agent_name,
                                           AgentProfile agent_profile)
                                    throws EntryNotFound,
                                           java.rmi.RemoteException

  Specified by:
    `lookup_agent` in interface `MAFFinder`

### lookup_agent_system

    public java.lang.String[] lookup_agent_system(Name agent_system_name,
                                                  AgentSystemInfo agent_system_info)
                                           throws EntryNotFound,
                                                  java.rmi.RemoteException

  Specified by:
    `lookup_agent_system` in interface `MAFFinder`

### lookup_place

    public java.lang.String[] lookup_place(java.lang.String place_name)
                                    throws EntryNotFound,
                                           java.rmi.RemoteException

  Specified by:
    `lookup_place` in interface `MAFFinder`

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

### register_agent

    public void register_agent(Name agent_name,
                               java.lang.String agent_location,
                               AgentProfile agent_profile)
                        throws NameInvalid,
                               java.rmi.RemoteException

  Specified by:
    `register_agent` in interface `MAFFinder`

### register_agent_system

    public void register_agent_system(Name agent_system_name,
                                      java.lang.String agent_system_location,
                                      AgentSystemInfo agent_system_info)
                               throws NameInvalid,
                                      java.rmi.RemoteException

  Specified by:
    `register_agent_system` in interface `MAFFinder`

### register_place

    public void register_place(java.lang.String place_name,
                               java.lang.String place_location)
                        throws NameInvalid,
                               java.rmi.RemoteException

  Specified by:
    `register_place` in interface `MAFFinder`

### startFinder

    public void startFinder(java.lang.String name,
                            int port)
                     throws java.rmi.RemoteException

### unregister_agent

    public void unregister_agent(Name agent_name)
                          throws EntryNotFound,
                                 java.rmi.RemoteException

  Specified by:
    `unregister_agent` in interface `MAFFinder`

### unregister_agent_system

    public void unregister_agent_system(Name agent_system_name)
                                 throws EntryNotFound,
                                        java.rmi.RemoteException

  Specified by:
    `unregister_agent_system` in interface `MAFFinder`

### unregister_place

    public void unregister_place(java.lang.String place_name)
                          throws EntryNotFound,
                                 java.rmi.RemoteException

  Specified by:
    `unregister_place` in interface `MAFFinder`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD